[loggers]
keys=root,rospyInternal,roslaunch,rosmaster,xmlrpc

[handlers]
keys=fileHandler,streamHandler

[formatters]
keys=defaultFormatter

[logger_root]
level=INFO
handlers=streamHandler,fileHandler

[logger_rospyInternal]
level=INFO
handlers=fileHandler
qualname=rospy
propagate=0

[logger_roslaunch]
level=INFO
handlers=fileHandler
qualname=roslaunch
propagate=0

[logger_rosmaster]
level=INFO
handlers=fileHandler
qualname=rosmaster
propagate=0

[logger_xmlrpc]
level=INFO
handlers=fileHandler
qualname=xmlrpc
propagate=0

[handler_fileHandler]
class=handlers.RotatingFileHandler
level=DEBUG
formatter=defaultFormatter
# log filename, mode, maxBytes, backupCount
args=(os.environ['ROS_LOG_FILENAME'],'a', 50000000, 4)

[handler_streamHandler]
class=base.logging.colorized_stream_handler.ColorizedStreamHandler
level=INFO
formatter=defaultFormatter
# colorize=True, info_to_stderr=True
args=(True,True)

[formatter_defaultFormatter]
class=base.logging.glog_formatter.GlogFormatter
